#!/usr/bin/env python

##############################################################################
#
# Copyright (c) 2001 Zope Corporation and Contributors. All Rights Reserved.
# 
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
# 
##############################################################################

from distutils.core import setup,Extension

setup(name       = "WebsiteLoadTest",
    description  = "A distributed suite for website load tests",
    version      = "0.21",
    author       = "Andreas Jung",
    author_email = "andreas@zope.com",
    packages=(
        'websiteloadtest',
        'websiteloadtest.common',
        'websiteloadtest.client',
        'websiteloadtest.server',
        'websiteloadtest.weblog',
        'websiteloadtest.xmlrpclib',
        ),
	)
