##############################################################################
#
# Copyright (c) 2001 Zope Corporation and Contributors. All Rights Reserved.
# 
# This software is subject to the provisions of the Zope Public License,
# Version 2.0 (ZPL).  A copy of the ZPL should accompany this distribution.
# THIS SOFTWARE IS PROVIDED "AS IS" AND ANY AND ALL EXPRESS OR IMPLIED
# WARRANTIES ARE DISCLAIMED, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED
# WARRANTIES OF TITLE, MERCHANTABILITY, AGAINST INFRINGEMENT, AND FITNESS
# FOR A PARTICULAR PURPOSE
# 
##############################################################################


import traceback,cStringIO

class XRR:

    def __init__(self, status, msg='', exc_info = None):

        self.status = status
        self.msg    = msg

        if exc_info:
            IO = cStringIO.StringIO()

            self.exc_type = exc_info[0]
            self.exc_value = exc_info[1]
            
            traceback.print_tb(exc_info[2],file = IO)
            
            self.exc_tb = IO.getvalue()
            
        
        else:
            self.exc_type = self.exc_value = ''
            self.exc_tb = ''

 
    def isError(self):  return (self.status == 0)
    def isOk(self):     return (self.status > 0)

